Subject: RE: [Simple] WGLC: XCAP Base

From: Biot Olivier <[email-masked]>
Date: Mon, 19 Jul 2004 15:43:01 +0200

|From: [email-masked]
|
|The WG chairs would like to start a Working Group Last Call on 
|the following internet draft as part of the SIMPLE Data 
|Manipulation work to be submitted to IESG:
|
|http://www.ietf.org/internet-drafts/draft-ietf-simple-xcap-03.txt
|
|(The draft may not be available on the above link for another 
|couple of days or so. Until it does, please fetch it from 
|http://www.softarmor.com/wgdb/docs/draft-ietf-|simple-xcap-03.tx
|t)
|
|This WGLC is 3 weeks long and will end on August 8th.
|
|Please send your comments to this mailing list and to the authors. 
|
|If you reviewed the draft and found no issues, please indicate 
|so on the mailing list. This will help us evaluate the level 
|of review and group consensus.

First impression is that it reads well!

Some nits I found so far:

General remark:
Some lines with HTTP examples and XML schema have not been line-wrapped.
This can probably be deferred till the very end.

Page 18:
[Question] The 2nd last paragraph of 6.3 does not contain RFC2119 language.
Is this because RFC2616 (or to be more precise, sections 3 and 3.3 of
RFC2396 regarding abs_path) mandates the escaping of "[", "]" and <"> in
URIs and we don't want to duplicate requirements?

Page 21:
Caption and caption text, on 2 separate lines.
Both should be removed.

Pages 48--51:
First sentence of 13.2.1 stops after one line. This introduction is missing
entirely in the 3 other registration sections, and they also lack a blank
line between section heading and section text.

The 4 MIME media types are registered differently,
more precisely the "Published specification" section, where
once "RFCXXXX" is used, then "This specification."

Page 51:
File extension of application/xcap-caps+xml
is the same as application/xcap-error+xml (.xe). Although files with this
content will not be that common, I'd suggest .xer or .xml for the former and
.xca or .xml for the latter. Maybe we can get rid of the ".xe[r]" or
".xc[a]" extension altogether as the documents written in those formats are
valid XML documents.

Page 54:
Reference [1]: "W3C FirstEdition" should read either "W3C REC" or "W3C
Recommendation".

By the way, the current XML 1.0 specification is the 3rd edition:
Bray, T., Paoli, J., Sperberg-McQueen, C., Maler, E. and F. Yergeau: "The
Extensible Markup Language version 1.0 (3rd edition)". W3C recommendation,
http://www.w3.org/TR/2004/REC-xml-20040204, February 2004.

Note that [4] is a W3C candidate recommendation.

That's all I found so far.

Best regards,

Olivier Biot

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple